Subject: Re: warning: too many files, skipping inexact rename detection

From: Andrew Morton <[email-masked]>
Date: Sat, 26 Apr 2008 07:06:56 -0700

On Sat, 26 Apr 2008 09:57:37 -0400 Jeff King <[email-masked]> wrote:

> On Sat, Apr 26, 2008 at 06:32:09AM -0700, Andrew Morton wrote:
> 
> > I get the above message all the time when pulling all the git trees.
> > 
> > I'm frightened!
> 
> Rename detection is O(n^2), so when it looks like it will take a really
> long time, we skip it. This has been happening for a while, but 1.5.5
> only recently started telling the user (based on some people wondering
> why renames weren't found during their enormous merges).
> 
> The default rename limit is 100, but you can bump it via the
> diff.renamelimit config option.

<wonders how to set that>

> A few tests that I did imply that
> 200-400 is reasonable for logging, and 800-1000 for a merge:
> 
>   http://article.gmane.org/gmane.comp.version-control.git/73519
> 
> Are you running into actual problems with rename detection, or is the
> message just too scary and confusing?

No observed problems, just scared!

I don't use rename detection anyway - I use git to extract plain old diffs
only.

Perhaps the default should be bumped up a bit based on your measurements,
dunno.